calculators
forms and publications
news
about etf
frequently asked questions
contact etf
site map
video library
related links
home
top of page
home
members retirees employers governing boards careers at etf
 
Video Library

June 3, 2013

Minimum Technical Requirements
for Viewing the Presentations

We recommend the following system requirements for the best presentation viewing experience with Mediasite Player on Microsoft® Windows, Apple® Mac® OS, Linux® as well as iPad® , iPhone®/iPod®, Android™, and BlackBerry® mobile devices.

Before you begin, here are some things to consider:

  • Playback speed control is only supported on some playback platforms, depending on the player layout, browser type and media playback element.
  • If you are unable to play the presentation, contact your Mediasite administrator to make sure that the appropriate media type is available and supported for your playback platform.
  • Remember to configure pop-up blockers to allow site pop-ups. Otherwise, presentations will not appear. Also, if you are not using Internet Explorer as your browser on Windows, there are additional considerations.

Windows requirements

  • Microsoft Windows 2008 (requires the Desktop Experience), Windows 7, Windows Vista, Windows XP, Windows 2003
  • Microsoft Internet Explorer® 7.0 or later (including Internet Explorer 10 on Windows 8), Firefox® 3.6 or later, or Google™ Chrome
  • Windows Media® Player 9.0 or later
  • Broadband Internet connection

Mac requirements

  • Apple Mac OS X 10.5.7 or later
  • Apple Safari™ 5 or later or Firefox 3.6 or later
  • Microsoft Silverlight 5
  • Broadband Internet connection

Linux requirements

  • OpenSUSEŽ or UbuntuŽ with the following:
    • FFmpeg plugin
    • Chromium web browser
  • Broadband Internet connection

    Note: Mediasite will support only on-demand presentation playback of H.264 content packaged as MP4. You will need to install the codecs required for H.264 content playback. In addition, you must use a browser that supports H.264 codecs with the HTML5 media element. For more information, go here.

iPad requirements

  • iPad (any model)
  • iOS 4.3 or later
  • Apple Mobile Safari™
  • Wi-Fi or cellular data connection (3G or higher)

iPhone/iPod requirements

  • iPhone 4 or later, iPod Touch 4th generation or later
  • iOS 4.3 or later
  • Apple Mobile Safari™
  • Optional: Mediasite Mobile app (free download from the Apple App Store)
  • Wi-Fi or cellular data connection (3G or higher)

Android requirements (on-demand playback only)

  • Android™ 4.0 or later
  • Android browser
  • Wi-Fi or cellular data connection (3G or higher)

BlackBerry requirements (on-demand playback only)

  • BlackBerry devices running BlackBerry OS 7.0 or later
  • PlayBooks devices running QNX
  • BlackBerry browser
  • Wi-Fi or cellular data connection (3G or higher)

Additional considerations:

To view Mediasite presentations using Firefox over Windows Vista or Windows XP:

  • Use the ActiveX Plug-in you are prompted to download when you first attempt to view a presentation.
  • OR

  • Copy the Windows XP plug-in dlls to your machine following these instructions.

If you are having problems and your computer meets the system requirements, visit Sonic Foundry's web resource for tips on troubleshooting your computer and more information on player features.

supporting excellence in Wisconsin public service